%define		subrel 1

Name:		conky
Version:	1.8.1
Release:	%mkrel 1
Summary:        A lightweight system monitor
License:	GPLv3+
Group:		Monitoring
Url:		http://conky.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/conky/conky/%{version}/%{name}-%{version}.tar.bz2
# fix for CVE-2011-3616
# taken from Debian: http://patch-tracker.debian.org/patch/series/view/conky/1.8.1-6/fix-race-condition.patch
Patch0:		fix-race-condition.patch
BuildRequires:	curl-devel
BuildRequires:	libxslt-proc
BuildRequires:	libiw-devel
BuildRequires:	lua-devel
BuildRequires:	tolua++-devel
BuildRequires:	imlib2-devel
BuildRequires:	gettext-devel
BuildRequires:	cairo-devel
BuildRequires:	glib2-devel
BuildRequires:	libx11-devel
BuildRequires:	libxdamage-devel
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	libxft-devel
BuildRequires:	ncurses-devel

%description
Conky is a free, light-weight system monitor for X, 
that displays any information on your desktop.

%prep
%setup -q

%patch0 -p1 -b .fix-race-condition

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-ibm \
	--enable-rss \
	--enable-wlan \
	--enable-imlib2 \
	--enable-lua-cairo --enable-lua-imlib2

%make

%install
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/*


%changelog

* Fri Jan 06 2012 doktor5000 <doktor5000> 1.8.1-1.1.mga1
+ Revision: 192508
- fix CVE-2011-3616, privilege escalation vulnerability due to an insecure
  temporary file in Eve Online plugin (fix-race-condidition.patch, from Debian)

* Sat Mar 26 2011 kharec <kharec> 1.8.1-1.mga1
+ Revision: 77696
- imported package conky

